--- ./Makefile.save	Sun Sep 30 03:00:57 2018
+++ ./Makefile	Sun Sep 30 04:38:42 2018
@@ -76,7 +76,7 @@
 
 install-man:
 	$(INSTALL) -d $(MANDIR)/man1
-	$(INSTALL_DATA) dist/rhash.1 $(MANDIR)/man1/rhash.1
+	$(INSTALL_DATA) -F $(MANDIR)/man1 -src dist/rhash.1 rhash.1
 
 install-conf:
 	$(INSTALL) -d $(SYSCONFDIR)
@@ -90,7 +90,7 @@
 
 install-pkg-config:
 	$(INSTALL) -d $(PKGCONFIGDIR)
-	$(INSTALL_DATA) $(LIBRHASH_PC) $(PKGCONFIGDIR)/
+	$(INSTALL_DATA) -F $(PKGCONFIGDIR) -src $(LIBRHASH_PC) librhash.pc
 
 uninstall-binary:
 	rm -f $(BINDIR)/$(RHASH_BINARY)
@@ -154,7 +154,7 @@
 	$(CC) $(OBJECTS) $(LIBRHASH_STATIC) $(BIN_STATIC_LDFLAGS) -o $@
 
 $(RHASH_SHARED): $(OBJECTS) $(LIBRHASH_SHARED)
-	$(CC) $(OBJECTS) $(LIBRHASH_SHARED) $(LDFLAGS) -o $@
+	$(CC) $(OBJECTS) $(LIBRHASH_SHARED) $(LDFLAGS) -Wl,-rpath -Wl,/usr/nekoware/lib -o $@
 
 # NOTE: dependences were generated by 'gcc -Ilibrhash -MM *.c'
 # we are using plain old makefile style to support BSD make
--- ./tests/test_rhash.sh.save	Sat Sep 29 20:14:17 2018
+++ ./tests/test_rhash.sh	Sat Sep 29 20:14:25 2018
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/ksh
 # Run RHash tests
 # Usage: test_rhash.sh [ --full | --shared ] <PATH-TO-EXECUTABLE>
 export LC_ALL=C
--- ./configure.save	Sat Sep 29 15:04:55 2018
+++ ./configure	Sun Sep 30 03:59:54 2018
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/ksh
 
 # set default values
 OPT_OPENSSL=auto
@@ -16,7 +16,7 @@
 BUILD_EXTRA_CFLAGS=
 BUILD_EXTRA_LDFLAGS=
 CHECK_LDFLAGS=
-WARN_CFLAGS="-Wall -W -Wstrict-prototypes -Wnested-externs -Winline -Wpointer-arith -Wbad-function-cast -Wmissing-prototypes -Wmissing-declarations"
+WARN_CFLAGS="-Wall"
 INSTALL_SYMLINKS="sfv-hash tiger-hash tth-hash whirlpool-hash has160-hash gost-hash edonr256-hash edonr512-hash ed2k-link magnet-link"
 INSTALL_LIB_STATIC=auto
 INSTALL_LIB_SHARED=auto
@@ -516,6 +516,15 @@
         finish_check "Sun C $cc_version"
         break
       fi
+      cc_name_tmp=$($CC -v 2>&1 | head -n 1 | cut -d ' ' -f 1)
+      if test "$cc_name_tmp" = "MIPSpro"; then
+        start_check "$CC version"
+        cc_vendor=irix
+        cc_version=$($CC -v 2>&1 | head -n 1 | cut -d ' ' -f 4)
+        res_comment="experimental support"
+        finish_check "$cc_vendor $cc_name_tmp $CC $cc_version"
+        break
+      fi
     fi
   done
 fi # icc
@@ -534,7 +543,7 @@
   return 1
 }
 has_optimization && OPTLEVEL= || OPTLEVEL="-O2"
-OPTFLAGS="-pipe -DNDEBUG -fomit-frame-pointer -ffunction-sections -fdata-sections"
+OPTFLAGS="-pipe -DNDEBUG"
 OPTFLAGS=$(str_concat $BUILD_DEBUG $OPTLEVEL $OPTFLAGS)
 
 # detect proper shared library name
@@ -634,7 +643,7 @@
 else
   LIBRHASH_LEGACY_HEADERS="rhash_timing.h"
   LIBRHASH_SH_CFLAGS="-fpic"
-  LIBRHASH_SH_LDFLAGS="-shared -Wl${SHARED_VSCRIPT},-soname,\$(LIBRHASH_SHARED)"
+  LIBRHASH_SH_LDFLAGS="-shared -Wl${SHARED_VSCRIPT},-soname,\$(LIBRHASH_SHARED) -Wl,-set_version,sgi1.0"
   test -n "$SHARED_VSCRIPT" && LIBRHASH_EXPORTS_TARGET=$LIBRHASH_EXPORTS_FILE
 fi
 LIBRHASH_RM_FILES=$(str_concat $LIBRHASH_RM_FILES $LIBRHASH_EXPORTS_TARGET $LIBRHASH_SOLINK_TARGET)
